using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Project.Dialog
{
    public partial class SystemParameter : Form
    {
        public SystemParameter()
        {
            InitializeComponent();
            this.KeyDown += SystemParameter_KeyDown;
        }

        void SystemParameter_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Escape) this.Close();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.Invalidate();
            Pub.system.Save();
            DialogResult = System.Windows.Forms.DialogResult.OK;
        }

        private void SystemParameter_Load(object sender, EventArgs e)
        {
            this.propertyGrid1.SelectedObject = Pub.system;
            this.propertyGrid1.Invalidate();
        }

        private void button2_Click(object sender, EventArgs e)
        {
        }

        private void button2_Click_1(object sender, EventArgs e)
        {
            var but = sender as Button;
            var idx = int.Parse(but.Tag.ToString());
            Pub.mot.ShowParameter(idx);
        }
    }
}
